Encryption of card data
Working with the JWE Encryption Standard
"paymentPublicKey":
{
"kty": "EC",
"x": "Hp833OY6a0VbFD1j8xFyXWcAA-HOlyr7B_-B05esZUy32RA41s0oGAMTal23AX9d",
"y": "WGHeR9PhKRymoA-ggsR3VkQTgdfzt7PWa8P2qNpu0cV83lmLxE57b8rR7ajBurvj",
"crv": "P-384"
}Example Endpoint for Encryption:
Query parameters
messagestringRequiredExample:
Message to encrypt (e.g., card number, or card expiration date and CVV)
5232441010000177Body
ktystring · enumRequiredExample:
Key Type (EC)
ECPossible values: crvstringRequiredExample:
Curve Type
P-384xstringRequiredExample:
X-coordinate of the public key (base64url)
kG1pVAvnrGKuTyiq0p9ixfmdMP6lZ6-429uUsEV5...ystringRequiredExample:
Y-coordinate of the public key (base64url)
uq2IMAsebJeH5RUNLds5czh7cesCqbs3ZZad9lNX...Responses
200
Successful encryption. Returns the encrypted message (e.g., JWE token).
text/plain
stringOptionalExample:
eyJhbGciOiJFUzI1NiIsInR5cCI6IkpXVCJ9...400
Bad Request (e.g., missing parameters)
500
Internal Server Error
post/cipher/encrypt_by_jwk
POST /cipher/encrypt_by_jwk?message=5232441010000177 HTTP/1.1
Host: api-ecom-release.develop.bankalliance.ua
Content-Type: application/json
Accept: */*
Content-Length: 126
{
"kty": "EC",
"crv": "P-384",
"x": "kG1pVAvnrGKuTyiq0p9ixfmdMP6lZ6-429uUsEV5...",
"y": "uq2IMAsebJeH5RUNLds5czh7cesCqbs3ZZad9lNX..."
}eyJhbGciOiJFUzI1NiIsInR5cCI6IkpXVCJ9...Last updated